# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1 Class Reference

`#include <PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1 ()
| PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1 (const PTopoDS_Shape1 &aValue)
void | SetValue (const PTopoDS_Shape1 &aValue)
Standard_Address | Value () const

## Private Attributes

PTopoDS_Shape1 | myValue

## Constructor & Destructor Documentation

PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1 | ( |  | ) |

PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1 | ( | const PTopoDS_Shape1 & | aValue | ) |

## Member Function Documentation

void PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::operator new | ( | size_t | size | ) | `[inline]`

void* PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::SetValue | ( | const PTopoDS_Shape1 & | aValue | ) |

Standard_Address PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::Value | ( |  | ) | const

## Field Documentation

PTopoDS_Shape1 PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1::myValue `[private]`

The documentation for this class was generated from the following file:

- PTopoDS_VArrayTNodeOfFieldOfHArray1OfShape1.hxx